/* PMJobWorks installation script v.01*/

"cls"
say;say " PMJobWorks  installation.";say
/* - - - - - init RexxUtil - - - - - */

if rxfuncquery('SysLoadFuncs') then do
 call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
 call SysLoadFuncs
end


/* - - - - - Get install directory - - - - - */
InstDir = directory()


/* - - - - - object creation - - - - - */

say " Creating WPS objects..."

Call SysCreateObject 'WPFolder', 'PMJobWorks', '<WP_DESKTOP>', 'OBJECTID=<PMJWFOLDER>', 'Update'
Call SysCreateObject 'WPProgram', 'PMJobWorks', '<PMJWFOLDER>', 'OBJECTID=<PMJWexe>;EXENAME='||InstDir||'\PMJW.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM', 'Update'
Call SysCreateObject 'WPProgram', 'ReadMe', '<PMJWFOLDER>', 'OBJECTID=<PMJWreadme>;EXENAME=e.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM;PARAMETERS=readme.txt', 'Update'
/* Call SysCreateObject 'WPUrl', 'SubSys homepage', '<PMJWFOLDER>', 'OBJECTID=<PMJWwww>;URL=http://www.subsys.de', 'Update' */
Call SysCreateObject 'WPProgram', 'Support', '<PMJWFOLDER>', 'OBJECTID=<PMJWSupport>;EXENAME=e.exe;STARTUPDIR='||InstDir||';PROGTYPE=PM;PARAMETERS=support.txt', 'Update'

say " ...done.";say


say "Installation done. Hit enter to continue."
pull dummy
call SysOpenObject "<PMJWFOLDER>", 0, "TRUE"


exit